Package csb :: Package bio :: Package io :: Module vasco :: Class VascoStructureParser

[frames] | no frames]

# Class VascoStructureParser

source code

    object --+
             |
            VascoStructureParser

Simple Vasco Parser

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

dict

parse(self, file_name, ignore_outliers=True) Returns: a ChemicalShiftContainer of ShiftInfo objects | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### parse(self, file_name, ignore_outliers=True)

source code

Parameters:
  - `file_name` (str) - source file to parse
Returns: dict
  a ChemicalShiftContainer of ShiftInfo objects